Bug 518990 - F12 Alpha installer error when reinitialising md0
Summary: F12 Alpha installer error when reinitialising md0
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: anaconda_trace_hash:f7c20caa7195a7818...
: 524897 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-24 14:02 UTC by Justin Clift
Modified: 2010-12-05 06:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:34:03 UTC


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (228.79 KB, text/plain)
2009-08-24 14:02 UTC, Justin Clift
no flags Details

Description Justin Clift 2009-08-24 14:02:30 UTC
The following was filed automatically by anaconda:
anaconda 12.15 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.6/site-packages/parted/__init__.py", line 293, in freshDisk
    peddisk = disk_new_fresh(device.getPedDevice(), ty)
  File "/usr/lib64/python2.6/site-packages/parted/decorators.py", line 30, in localeC
    ret = fn(*args, **kwds)
  File "<string>", line 2, in freshDisk
  File "/usr/lib/anaconda/storage/devices.py", line 760, in partedDisk
    ty = platform.getPlatform(None).diskType)
  File "/usr/lib/anaconda/storage/devices.py", line 735, in __init__
    if self.partedDisk:
  File "/usr/lib/anaconda/storage/devicetree.py", line 1161, in addUdevDiskDevice
    initcb=cb, initlabel=initlabel, **kwargs)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1254, in addUdevDevice
    device = self.addUdevDiskDevice(info)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1864, in populate
    self.addUdevDevice(dev)
  File "/usr/lib/anaconda/storage/__init__.py", line 293, in reset
    self.devicetree.populate()
  File "/usr/lib/anaconda/iw/partition_gui.py", line 669, in getPrev
    self.storage.reset()
  File "/usr/lib/anaconda/gui.py", line 1188, in prevClicked
    self.currentWindow.getPrev ()
PartitionException: Error opening /dev/md0: No such file or directory

Comment 1 Justin Clift 2009-08-24 14:02:41 UTC
Created attachment 358460 [details]
Attached traceback automatically from anaconda.

Comment 2 Chris Lumens 2009-08-24 14:42:23 UTC
Are you trying to do partitioned RAID devices?

Comment 3 Justin Clift 2009-08-24 15:02:38 UTC
Yep, this was doing software raid, rather than the inbuilt ICH10R raid on the motherboard.

Comment 4 Chris Lumens 2009-08-25 14:56:36 UTC
I don't think that's really an answer to my question.  What I was wondering is:  Are you making software RAID devices and then attempting to create partitions on top of them?

Comment 5 Justin Clift 2009-08-25 17:39:50 UTC
Hi Chris,

The layout I was attempting was this (all using primary partitions):

Hard drive 1 (sda):
  + RAID partition 1 (500MB)
  + RAID partition 2 (4096MB)
  + RAID partition 3 (remainder of 1TB drive)

Hard drive 2 (sdb):
  + RAID partition 1 (500MB)
  + RAID partition 2 (4096MB)
  + RAID partition 3 (remainder of 1TB drive)

The above is the description of the raw primary partitions.  After manually creating those, they were then combined into three raid groups:

  /boot  (500MB - RAID 1)
  swap   (4096MB - RAID 1)
  /      (remainder of 1TB drive - RAID 0)

This was done using AHCI mode on an Intel ICH10R chipset.

Is this the info you're after?

Comment 6 Chris Lumens 2009-09-22 17:24:30 UTC
*** Bug 524897 has been marked as a duplicate of this bug. ***

Comment 7 Bug Zapper 2009-11-16 11:38:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2010-11-04 10:24:30 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2010-12-05 06:34:03 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.